OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000603OMNeT++IDE / result analysispublic2012-10-09 13:132016-03-04 10:30
Reporterpotys 
Assigned Torhornig 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.2 
Target VersionFixed in Version5.0 
Summary0000603: SVG Export failure
DescriptionWhen trying to export results to SVG format (source data recorded in .vec files during the simulation, plotted via analyzing tool), some of the data in the exported file are lost.

What is always lost is the Y axis label, no matter what is the font type used. The other things which are regularly disappeared from the exported svg, are lines smaller then size 3.

E.g.Line type: Dots/Linear, Symbol type: Dots, Symbol size 1 or 2. It looks perfect within OmNet, and in the exported svg file the particular line is missing.


Additional InformationOperating System: Ubuntu 10.04, 12.04

If I read the content of the svg file as text, it seems like containing the data related to e.g. the Y axis label and so on, but it does not appears if I open the file as svg, neither after direct conversion to e.g. a png file. The exported files has tested to open with several svg viewer/editor: e.g Inkscape Vector Graphics Editor, or just simply Ubuntu picture viewer etc. but the data is definitely missing, the svg file seems to be broken.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000779)
potys (reporter)
2012-10-17 13:05

Any updates in this case? Did you manage to reproduce the problem or would you like me to provide screenshots of the omnet analyzing tool plot and attach the exported svg file, which is broken, and data is missing in display?
(0001172)
rhornig (administrator)
2016-03-04 10:30

SVG export was dropped for the IDE.

- Issue History
Date Modified Username Field Change
2012-10-09 13:13 potys New Issue
2012-10-17 13:05 potys Note Added: 0000779
2016-03-04 10:30 rhornig Note Added: 0001172
2016-03-04 10:30 rhornig Status new => closed
2016-03-04 10:30 rhornig Assigned To => rhornig
2016-03-04 10:30 rhornig Resolution open => fixed
2016-03-04 10:30 rhornig Fixed in Version => 5.0


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker